org.eclipse.aether.collection

## Class DependencyCollectionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.aether.RepositoryException
      - - org.eclipse.aether.collection.DependencyCollectionException

- All Implemented Interfaces:
    Serializable

      public class DependencyCollectionException
      extends RepositoryException

  Thrown in case of bad artifact descriptors, version ranges or other issues encountered during calculation of the dependency graph.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DependencyCollectionException(CollectResult result)`
    `DependencyCollectionException(CollectResult result, String message)`
    `DependencyCollectionException(CollectResult result, String message, Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CollectResult` | `getResult()`

    - ### Methods inherited from class org.eclipse.aether.RepositoryException

      `getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DependencyCollectionException

          public DependencyCollectionException(CollectResult result)

    - #### DependencyCollectionException

          public DependencyCollectionException(CollectResult result,
                                       String message)

    - #### DependencyCollectionException

          public DependencyCollectionException(CollectResult result,
                                       String message,
                                       Throwable cause)

  - ### Method Detail

    - #### getResult

          public CollectResult getResult()

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.